# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

children = []
models = [
    {
        'model_name': 'generictemplate',
        'model_label': _('generic template'),
        'model_label_plural': _('generic templates')
    },
    {
        'model_name': 'emailtemplate',
        'model_label': _('email template'),
        'model_label_plural': _('email templates')
    },
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:template_{model['model_name']}_add",
        "perms": [f"template.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("{} list").format(model['model_label_plural']),
        "url_name": f"admin:template_{model['model_name']}_changelist",
        "perms": [
            f"template.view_{model['model_name']}",
            f"template.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('template'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'template'}},
    'perms': ['template.*'],
    'children': children
}]
